
Figure - Bug #118797
【AF】【EVT3】【任务管理器】在recent中交替打开多个大型游戏，页面交替时有卡顿现象
2023-06-15 15:01 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-15

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: Found Version: 0110.C105

Resolution: FIXED Degrated: --

Severity: Major Verified Version: 0708

Reproducibility: Every time Fixed Version: 2023-07-08

Test Type: ST Root cause: 问题原因：��窗口动画受到低刷新率的影响

Description

【前提条件】

中控：0088

副屏：0110.C105

【操作步骤】

1、打开多个大型游戏

2、在recent中切换打开各个游戏

【预期结果】

2、打开各游戏的过程流畅自然

【期望结果】

2、页面交替时有卡顿现象

History

#1 - 2023-06-15 15:06 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118797

#2 - 2023-06-19 19:42 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- Need_Info changed from -- to TEST

Hi 永红

从日志中，没有有效发现, 没有明显错误，与系统整体资源与性能有关

最近合入了下列优化提交

任务数量控制，110版本已合入

LMK机制调整，06/19已合入

请使用06/19之后的版本帮忙观察验证，谢谢
#3 - 2023-06-25 14:32 - CD TEST-方永红

- File Phone-1A2212290000002271 2023-06-25 14-32-01.mp4 added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD FW 曹覃刚

- Need_Info changed from TEST to --

6.25

0625DB上仍有此问题

#4 - 2023-07-03 16:48 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- Need_Info changed from -- to TEST

Hi 永红

如飞书沟通

我在116版本中尝试复现此问题，大约40次，未能复现

同时你也尝试复现，但是无法复现，从现有的日志看, 没有什么有效信息

因此, 请在新版本持续观察，如果复现问题，请现场联系我，我们一起现场看看，谢谢

#5 - 2023-07-04 17:00 - CD FW 曹覃刚

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD FW王武军

Hi 军哥

打开游戏模式时有问题，看这似乎是帧率变化导致，请帮忙分析

#6 - 2023-07-06 19:02 - CD FW王武军

【】当前状态

问题原因：

开启游戏模式时，默认刷新率是30，这个时候从recent中切换游戏应用时，

游戏的窗口动画运行在低刷新状态，就导致了动画的表现变得卡顿。

问题处理：

调整刷新率的调整策略，将刷新率的修改放在应用启动窗口变化动画之后。

提交：

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/212756

修改后的已知问题：

在开启调试模式的，刷新率显示时，刷新率的变化显示慢于应用启动的动画显示，虽然有延时，

但是并不会影响刷新率的显示和正确。

【】下一步

等待代码review
#7 - 2023-07-07 10:09 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-07-08

- Root cause set to 问题原因：

窗口动画受到低刷新率的影响

【】下一步

请测试同事在新db版本验证，并明确已知的现象。

#8 - 2023-07-10 14:42 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Need_Info deleted (TEST)

- Verified Version set to 0708

7.10

0708DB验证通过

#9 - 2023-07-10 14:42 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2023-07-10 17:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213606 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:GameMode: delay to set refresh rateAdd logic to delay to set refresh rate.TC-RID: 1201-0204801IssueID: TS-R-BUG-118797Change-Id:

I60fb409ead0a0fbe3150ce677250b4850af95404(cherry picked from commit 241476fafea5bd34286e679b1c7b79306111e977)

Files

Phone-1A2212290000002271 2023-06-15 14-58-26.mp4 6.74 MB 2023-06-15 CD TEST-方永红

1458.txt 5.13 MB 2023-06-15 CD TEST-方永红

Phone-1A2212290000002271 2023-06-25 14-32-01.mp4 8.19 MB 2023-06-25 CD TEST-方永红
